[packages] Require* calls must now be placed before BuildPackage calls
[openwrt/svn-archive/archive.git] / Xorg / lib / vte / Makefile
1 #
2 # Copyright (C) 2008-2009 OpenWrt.org
3 #
4 # This is free software, licensed under the GNU General Public License v2.
5 # See /LICENSE for more information.
6 #
7
8 include $(TOPDIR)/rules.mk
9
10 PKG_NAME:=vte
11 PKG_VERSION:=0.17.4
12 PKG_RELEASE:=2
13
14 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
15 PKG_SOURCE_URL:=@GNOME/$(PKG_NAME)/0.17
16 PKG_MD5SUM:=ec6cb2668db7146eae7cfc48af98f3ed
17 PKG_FIXUP:=libtool
18
19 include $(INCLUDE_DIR)/package.mk
20 -include $(if $(DUMP),,$(STAGING_DIR)/mk/python-package.mk)
21
22 PKG_INSTALL=1
23
24 EXTRA_CFLAGS+=-I$(STAGING_DIR)/usr/lib/libintl/include
25
26 EXTRA_LDFLAGS+= \
27 -Wl,-rpath-link=$(STAGING_DIR)/usr/lib \
28 -L$(STAGING_DIR)/usr/lib/libintl/lib \
29 -L$(STAGING_DIR)/usr/lib/libiconv/lib
30
31 STAMP_CONFIGURED:=$(STAMP_CONFIGURED)_$(call confvar,CONFIG_PACKAGE_vte CONFIG_PACKAGE_python-vte)
32
33 define Package/vte
34 SECTION:=xorg-libs
35 CATEGORY:=Xorg
36 SUBMENU:=libraries
37 TITLE:=Virtual Terminal Widget
38 URL:=http://developer.gnome.org/arch/gnome/widgets/vte.html
39 DEPENDS:=+gtk2 +libncurses
40 endef
41
42 define Package/python-vte
43 SECTION:=lang-python
44 CATEGORY:=Languages
45 SUBMENU:=Python
46 TITLE:=Python bindings for vte
47 URL:=http://developer.gnome.org/arch/gnome/widgets/vte.html
48 DEPENDS:=+python-mini +PACKAGE_python-vte:python-gtk +vte
49 endef
50
51 define Package/vte/description
52 VTE is a library (libvte) implementing a terminal emulator widget for GTK+,
53 and a minimal sample application (vte) using that. Vte is mainly used in
54 gnome-terminal, but can also be used to embed a console/terminal in games,
55 editors, IDEs, etc.
56 endef
57
58 define Build/Configure
59 $(call Build/Configure/Default, \
60 --without-xft2 \
61 $(if $(CONFIG_PACKAGE_python-vte),--enable-python,--disable-python) \
62 )
63 endef
64
65 define Build/InstallDev
66 $(INSTALL_DIR) $(1)/usr/include/vte
67 $(INSTALL_DATA) \
68 $(PKG_INSTALL_DIR)/usr/include/vte/*.h \
69 $(1)/usr/include/vte/
70
71 $(INSTALL_DIR) $(1)/usr/lib
72 $(CP) \
73 $(PKG_INSTALL_DIR)/usr/lib/*.{so*,la,a} \
74 $(1)/usr/lib
75
76 $(INSTALL_DIR) $(1)/usr/lib/pkgconfig
77 $(INSTALL_DATA) \
78 $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/* \
79 $(1)/usr/lib/pkgconfig
80 endef
81
82 define Package/vte/install
83 $(INSTALL_DIR) $(1)/usr/share/vte/termcap
84 $(INSTALL_DATA) \
85 $(PKG_INSTALL_DIR)/usr/share/vte/termcap/* \
86 $(1)/usr/share/vte/termcap
87
88 $(INSTALL_DIR) $(1)/usr/lib
89 $(CP) \
90 $(PKG_INSTALL_DIR)/usr/lib/*.so* \
91 $(1)/usr/lib
92
93 $(INSTALL_DIR) $(1)/usr/lib/vte
94 $(INSTALL_BIN) \
95 $(PKG_INSTALL_DIR)/usr/lib/vte/* \
96 $(1)/usr/lib/vte
97 endef
98
99 define Package/python-vte/install
100 $(INSTALL_DIR) $(1)$(PYTHON_PKG_DIR)/gtk-2.0
101 $(CP) \
102 $(PKG_INSTALL_DIR)$(PYTHON_PKG_DIR)/gtk-2.0/*.so* \
103 $(1)$(PYTHON_PKG_DIR)/gtk-2.0
104 endef
105
106 $(eval $(call RequireCommand,intltool-update, \
107 $(PKG_NAME) requires intltool >= 0.35.0 \
108 ))
109
110 $(eval $(call BuildPackage,vte))
111 $(eval $(call BuildPackage,python-vte))
112